# protobuf

We use [protobuf](https://developers.google.com/protocol-buffers/) to encode messages as binary data to send across the network.

## Generating protobuf

The protobuf is generated by using the [protoc](https://github.com/protocolbuffers/protobuf) compiler.

This can be installed by downloading one of the [pre-built binaries](https://github.com/protocolbuffers/protobuf/releases/) and placing it in your `$PATH`. The version used to build the current protobuf is [v3.20.1](https://github.com/protocolbuffers/protobuf/releases/tag/v3.20.1).

Once installed, the protobuf can be generated by running the below commands.

```bash
cd packages/loot-core/src/server/sync

protoc sync.proto --js_out=import_style=commonjs,binary:proto
```

However there is one very important thing to remember! The default output includes this near the top:

```
var global = (function() { return this || window || global || self || Function('return this')(); }).call(null);
```

This will not work with our CSP directives. You must manually modify this to this:

```
var global = globalThis;
```
